Subject: Re: handling Proxy-Connection

From: Mark Nottingham <[email-masked]>
Date: Tue, 24 Apr 2007 17:30:07 +1000

Digging up an old thread...

Would it be worthwhile to document this?

On 03/01/2002, at 11:24 AM, Roy T. Fielding wrote:

> On Thu, Jan 03, 2002 at 11:06:13AM +1100, Matt Lynch wrote:
>> Apologies.. I have read a few sources, which showed the values as
>> constant.  I've a few documents from different sources, which all  
>> listed
>> the same field values.
>>
>>> No, it can't.  That is why it should never be implemented.
>>
>> We've got a proxy server on this network which uses the header
>> substantially.
>>
>> Does this mean that we should implement parsing of the header, but  
>> not
>> send the header?   If we strip the header, do we still read it?   
>> If not,
>> what are we supposed to do?
>
> Strip it and throw it away.  The only way to implement persistent  
> connections
> with a proxy is with HTTP/1.1.  If Proxy-Connection is received by  
> a proxy
> that doesn't understand it but forwards it to another proxy which  
> does try
> to implement it, the connection will hang on the response.
>
> ....Roy
>

On 21/12/2001, at 11:04 PM, Joris Dobbelsteen wrote:
> This header is obsolete in HTTP/1.1 and SHOULD NOT be used in  
> future implementations. The connection header will handle this in  
> HTTP/1.1
>
> Proxy-Connection was designed for persistent connections in HTTP/ 
> 1.0. It's in a completely different RFC (if documented), so look  
> through the RFC-index file. You should rely on this header only and  
> only if you are using HTTP/1.0 (and use a proxy).
> [ftp://ftp.isi.edu/in-notes/rfc-index.txt] I think it was...
>
> Proxy-Connection was designed, that in case the proxy server  
> handeling the request send the proxy-connection header to the orgin  
> server, this orgin server doesn't 'malfunction'. If this was done  
> with the connection header, the orgin server could keep open the  
> connection, making the proxy think the request hasn't ended yet.
>
> - Joris

--
Mark Nottingham     http://www.mnot.net/